package org.processmining.ptandloggenerator.models;

public class EvaluationResults {
	
	private int fn;
	private int tp;
	private int fp;
	private int tn;
	private int index;
	private int fold;
	private boolean allAlignments;

	public EvaluationResults(int truePositives, int falsePositives, int falseNegatives,
			int trueNegatives, int index, int fold, boolean allAlignments) {
		this.tp = truePositives;
		this.fp = falsePositives;
		this.fn = falseNegatives;
		this.tn = trueNegatives;
		this.index = index;
		this.fold = fold;
		this.allAlignments = allAlignments;
	}
	
	public int getTruePositives() {
		return this.tp;
	}
	
	public int getFalsePositives() {
		return this.fp;
	}
	
	public int getFalseNegatives() {
		return this.fn;
	}
	
	public int getTrueNegatives() {
		return this.tn;
	}
	
	public int getIndex() {
		return this.index;
	}
	
	public int getFold() {
		return this.fold;
	}
	
	public boolean getAllAlignments() {
		return this.allAlignments;
	}

}
