package org.processmining.ptandloggenerator.models;

import java.util.ArrayList;
import java.util.List;

public class EvaluationResultsCollection {
	
	/**
	 * object represents a list of EvaluationResults objects
	 */

	List<EvaluationResults> objectList;
	private String technique;
	
	public EvaluationResultsCollection(String technique) {
		objectList = new ArrayList<EvaluationResults>();
		setTechnique(technique);
	}
	
	public void addToEvaluationResultsCollection(EvaluationResults results) {
		objectList.add(results);
	}
	
	public List<EvaluationResults> getResultsList(){
		return objectList;
	}

	public String getTechnique() {
		return technique;
	}

	public void setTechnique(String technique) {
		this.technique = technique;
	}
}
