package org.processmining.ptandloggenerator.algorithms;

import org.processmining.ptandloggenerator.models.CaseCollection;
import org.processmining.ptandloggenerator.models.NewickTree;

public class DataLogGenerator {
	
	private CaseCollection resultingTraces;
	
	public DataLogGenerator(NewickTree tree, String noCases, String noNoisyCases,
			String maxInput, String maxCutoff, String determinism, DataLogFactory factory) {

		resultingTraces = new CaseCollection(
				factory.createLog(tree.getTree(), noCases, noNoisyCases,
						maxInput, maxCutoff, determinism).returnLog());
	}
	
	public CaseCollection getResultingTraces() {
		return resultingTraces;
	}
}
