package org.processmining.ptandloggenerator.algorithms;

import org.processmining.ptandloggenerator.models.CaseTraceCollection;
import org.processmining.ptandloggenerator.models.NewickTree;
import org.processmining.ptandloggenerator.parameters.LogParameters;

public class LogGenerator {

	private CaseTraceCollection resultingTraces;

	public LogGenerator(NewickTree tree, LogParameters parameters, LogFactory factory) {

		resultingTraces = new CaseTraceCollection(
				factory.createLog(tree.getTree(), parameters.getNoTrainingCases()).returnLog());

	}

	public CaseTraceCollection getResultingTraces() {
		return resultingTraces;
	}

}
