package org.processmining.ptandloggenerator.models;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.deckfour.xes.model.XLog;

public class DataLogCollection {
	/**
	 * object represents a list of data logs (CaseCollection)
	 */

	private List<CaseCollection> objectList;

	public DataLogCollection() {
		objectList = new ArrayList<CaseCollection>();
	}

	public void addLogToCollection(CaseCollection caseCollection) {
		objectList.add(caseCollection);
	}

	public Collection<XLog> getXLogCollection() {

		List<XLog> list = new ArrayList<XLog>();
		for (CaseCollection element : objectList) {
			list.add(element.getXLog());
		}
		return list;
	}
}
