package org.processmining.ptandloggenerator.models;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.deckfour.xes.model.XLog;

public class LogCollection {

	/**
	 * object represents a list of logs (CaseTraceCollection)
	 */

	private List<CaseTraceCollection> objectList;

	public LogCollection() {
		objectList = new ArrayList<CaseTraceCollection>();
	}

	public void addLogToCollection(CaseTraceCollection caseTraceCollection) {
		objectList.add(caseTraceCollection);
	}

	public Collection<XLog> getXLogCollection() {

		List<XLog> list = new ArrayList<XLog>();
		for (CaseTraceCollection element : objectList) {
			list.add(element.getXLog());
		}
		return list;
	}
	
}
